package ink.wgink.login.base.controller.route.login;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: LoginFormRouteController
 * @Description: 登录form
 * @Author: wanggeng
 * @Date: 2021/7/29 4:25 下午
 * @Version: 1.0
 */
@Api(tags = ISystemConstant.API_TAGS_SYSTEM_PREFIX + "登录form")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/login-form")
public class LoginFormRouteController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("login/form/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("login/form/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("login/form/list");
    }

}
