package ink.wgink.login.base.pojo.dtos.login;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @ClassName: LoginFormDTO
 * @Description: 登录form表单
 * @Author: wanggeng
 * @Date: 2021/7/29 3:22 下午
 * @Version: 1.0
 */
@ApiModel
public class LoginFormDTO implements Serializable {

    private static final long serialVersionUID = 4369803953073409199L;
    @ApiModelProperty(name = "loginFormId", value = "主键")
    private String loginFormId;
    @ApiModelProperty(name = "name", value = "名称")
    private String name;
    @ApiModelProperty(name = "summary", value = "说明")
    private String summary;
    @ApiModelProperty(name = "isActive", value = "是否激活")
    private Integer isActive;
    @ApiModelProperty(name = "preview", value = "预览")
    private String preview;
    @ApiModelProperty(name = "formHtml", value = "form代码")
    private String formHtml;
    @ApiModelProperty(name = "formCss", value = "form样式")
    private String formCss;
    @ApiModelProperty(name = "formLeftCss", value = "form左样式")
    private String formLeftCss;
    @ApiModelProperty(name = "formCenterCss", value = "form中样式")
    private String formCenterCss;
    @ApiModelProperty(name = "formRightCss", value = "form右样式")
    private String formRightCss;
    @ApiModelProperty(name = "gmtCreat", value = "创建时间")
    private String gmtCreat;

    public String getLoginFormId() {
        return loginFormId == null ? "" : loginFormId.trim();
    }

    public String getName() {
        return name == null ? "" : name.trim();
    }

    public String getSummary() {
        return summary == null ? "" : summary.trim();
    }

    public Integer getIsActive() {
        return isActive == null ? 0 : isActive;
    }

    public String getPreview() {
        return preview == null ? "" : preview.trim();
    }

    public String getFormHtml() {
        return formHtml == null ? "" : formHtml.trim();
    }

    public String getFormCss() {
        return formCss == null ? "" : formCss.trim();
    }

    public String getFormLeftCss() {
        return formLeftCss == null ? "" : formLeftCss.trim();
    }

    public String getFormCenterCss() {
        return formCenterCss == null ? "" : formCenterCss.trim();
    }

    public String getFormRightCss() {
        return formRightCss == null ? "" : formRightCss.trim();
    }

    public String getGmtCreat() {
        return gmtCreat == null ? "" : gmtCreat.trim();
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"loginFormId\":\"")
                .append(loginFormId).append('\"');
        sb.append(",\"name\":\"")
                .append(name).append('\"');
        sb.append(",\"summary\":\"")
                .append(summary).append('\"');
        sb.append(",\"isActive\":")
                .append(isActive);
        sb.append(",\"preview\":\"")
                .append(preview).append('\"');
        sb.append(",\"formHtml\":\"")
                .append(formHtml).append('\"');
        sb.append(",\"formCss\":\"")
                .append(formCss).append('\"');
        sb.append(",\"formLeftCss\":\"")
                .append(formLeftCss).append('\"');
        sb.append(",\"formCenterCss\":\"")
                .append(formCenterCss).append('\"');
        sb.append(",\"formRightCss\":\"")
                .append(formRightCss).append('\"');
        sb.append(",\"gmtCreat\":\"")
                .append(gmtCreat).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
